# MixpanelType

    public protocol MixpanelType

Property keys must be String objects and the supported value types need to conform to MixpanelType. MixpanelType can be either String, Int, UInt, Double, Float, Bool, [MixpanelType], [String: MixpanelType], Date, URL, or NSNull. Numbers are not NaN or infinity

- `isValidNestedTypeAndValue()`

  Checks if this object has nested object types that Mixpanel supports.

  #### Declaration

  Swift

      func isValidNestedTypeAndValue() -> Bool

- `equals(rhs:)`

  Undocumented

  #### Declaration

  Swift

      func equals(rhs: MixpanelType) -> Bool

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-03-17)

Generated by jazzy ♪♫ v0.15.4, a Realm project.